The POS Invoice Reference object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
pos_invoice string required
customer string required
posting_date string required
grand_total number required
is_return boolean

Default: false

return_against string
The POS Invoice Reference object
{
  "id": "p-o-s-invoice-reference_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "pos_invoice": "pos_invoice_example",
  "customer": "customer_example",
  "posting_date": "2024-01-15",
  "grand_total": 0,
  "is_return": false,
  "return_against": "return_against_example"
}
GET /api/accounts/p-o-s-invoice-reference?parent_id={id}

List pos invoice references by parent

Returns all pos invoice references belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of pos invoice reference objects belonging to the parent.

GET /api/accounts/p-o-s-invoice-reference?parent_id={id}
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-reference?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "p-o-s-invoice-reference_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "pos_invoice": "pos_invoice_example",
      "customer": "customer_example",
      "posting_date": "2024-01-15",
      "grand_total": 0,
      "is_return": false,
      "return_against": "return_against_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/p-o-s-invoice-reference

Create a pos invoice reference

Creates a new pos invoice reference object.

Body parameters

idx integer
parent_id string required
parent_type string required
pos_invoice string required
customer string required
posting_date string required
grand_total number required
is_return boolean

Default: false

return_against string

Returns

Returns the newly created pos invoice reference object if the call succeeded.

POST /api/accounts/p-o-s-invoice-reference
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-reference \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example","pos_invoice":"pos_invoice_example","customer":"customer_example","posting_date":"2024-01-15","grand_total":0}'
Response
{
  "id": "p-o-s-invoice-reference_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "pos_invoice": "pos_invoice_example",
  "customer": "customer_example",
  "posting_date": "2024-01-15",
  "grand_total": 0,
  "is_return": false,
  "return_against": "return_against_example"
}
PATCH /api/accounts/p-o-s-invoice-reference/{id}

Update a pos invoice reference

Updates the specified pos invoice reference by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pos invoice reference to update.

Body parameters

idx integer
parent_id string
parent_type string
pos_invoice string
customer string
posting_date string
grand_total number
is_return boolean

Default: false

return_against string

Returns

Returns the updated pos invoice reference object.

PATCH /api/accounts/p-o-s-invoice-reference/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-reference/p-o-s-invoice-reference_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "p-o-s-invoice-reference_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "pos_invoice": "pos_invoice_example",
  "customer": "customer_example",
  "posting_date": "2024-01-15",
  "grand_total": 0,
  "is_return": false,
  "return_against": "return_against_example"
}
DELETE /api/accounts/p-o-s-invoice-reference/{id}

Delete a pos invoice reference

Permanently deletes a pos invoice reference. This cannot be undone.

Path parameters

id string required

The identifier of the pos invoice reference to delete.

Returns

Returns a confirmation that the pos invoice reference has been deleted.

DELETE /api/accounts/p-o-s-invoice-reference/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-reference/p-o-s-invoice-reference_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "p-o-s-invoice-reference_abc123",
  "deleted": true
}
POST /api/accounts/p-o-s-invoice-reference/reorder

Reorder pos invoice references

Updates the sort order of pos invoice references within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/accounts/p-o-s-invoice-reference/reorder
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-reference/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-invoice-reference_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "pos_invoice": "pos_invoice_example",
  "customer": "customer_example",
  "posting_date": "2024-01-15",
  "grand_total": 0,
  "is_return": false,
  "return_against": "return_against_example"
}